<!---
/* *************************************************************** 
Author: 	
	PaperThin, Inc.
	G. Cronkright
Name:
	$course_catalog_search_results_rh.cfm
Element:
	Course
Summary:
	Displays the results from a course catalog search
ADF App:
	PT Course Catalog
History:
	2013-02-01 - GAC - Created
*/
--->
<cfscript>
	// Do Not Cache the Results of the search
	request.element.isStatic = 0;
	
	dateMask = application.ptCourseCatalog.getDisplayCFdateMask();
	timeMask = application.ptCourseCatalog.getDisplayCFtimeMask();
	searchDescrptWordTrimCnt = application.ptCourseCatalog.getSearchDescriptionMaxWordCount();
	
	// Get the Data from CS
	items = attributes.elementinfo.elementdata.PropertyValues;
	
//Display Course Element Data	
//application.ptCourseCatalog.utils.doDump(items,"items",0);
</cfscript>

<cfoutput>
<div id="ccCourseSearchWrapper">
	<cfif ArrayLen(items)>
	<cfloop from="1" to="#ArrayLen(items)#" index="i">
		<div id="ccCourseSearchItem">
		<!--- // Get the PageURL from the pageID stored in the element record --->
		<cfset csPageURL = "">
		<cfset csPageID = 0>
		<cfif IsNumeric(items[i].values.catalogPageID)>	
			<cfset csPageID = items[i].values.catalogPageID>
			<cfset csPageURL = application.ptCourseCatalog.csData.getCSPageURL(pageID=csPageID)>
		</cfif> 
		<!--- // Trim the course discription text based on the config setting --->
		<cfset descriptText = items[i].values.description>
		<cfif LEN(TRIM(descriptText))>
			<cfset descriptText = application.ptCourseCatalog.data.trimStringByWordCount(str=descriptText,words=searchDescrptWordTrimCnt,useEllipsis=true)>
		</cfif>
		<!--- // Get the Scehdule Array from the schedule IDs stored in the element record --->
		<cfset schedItems = ArrayNew(1)>
		<cfif StructKeyExists(items[i],"values") AND StructKeyExists(items[i].values,"schedIDList") AND LEN(TRIM(items[i].values.schedIDList))>
			<cfset schedItems = application.ptCourseCatalog.scheduleDAO.getSchedules(uniqueID=items[i].values.schedIDList)>
			<!--- //Display Schedule Element Data	 --->
			<!--- #application.ptCourseCatalog.utils.doDump(schedItems,"schedItems",0)# --->
		</cfif>
	
		<div id="ccCourseSearchName">
			<cfif LEN(TRIM(csPageURL))><a href="#csPageURL#"></cfif>
			#items[i].values.courseCode# - #items[i].values.courseName#
			<cfif LEN(TRIM(csPageURL))></a></cfif>
		</div>
		
		<div id="ccCourseSearchScheduleWrapper">
			
			
			<div id="ccCourseSearchCredits" class="">
				<cfif LEN(TRIM(items[i].values.courseCredits))>Credits: #items[i].values.courseCredits#	</cfif>
			</div>

			<div id="ccCourseSearchDescription">
				<!--- <cfdump var="#item#"> --->
				<cfif LEN(TRIM(descriptText))>#descriptText#</cfif>
			</div>
			
			<cfif ArrayLen(schedItems)>
			
			<div id="ccCourseSearchScheduleGrid">
				<table>
				<cfloop from="1" to="#ArrayLen(schedItems)#" index="itm">
				<!--- #schedItems[itm].renderString# --->
				<tr>
					<td>#application.ptCourseCatalog.scheduleDaysService.weekdayListSerializer(weekdayList=schedItems[itm].values.schedDays,convertFrom="name",convertTo="initial",delimiterOut="")#</td>
				 	<td align="right">#TimeFormat(schedItems[itm].values.startTime,timeMask)#</td>
				 	<td align="right">#TimeFormat(schedItems[itm].values.endTime,timeMask)#</td> 
				 	<td>&nbsp;</td>
				 	<td>#schedItems[itm].values.locationInfo#</td>
				 	<td>#application.ptCourseCatalog.campusDAO.getCampusNameByBuildingID(buildingID=schedItems[itm].values.buildingID)#</td>
				 	<td>#application.ptCourseCatalog.buildingDAO.getBuildingName(buildingID=schedItems[itm].values.buildingID)#</td>
				 	<td>#schedItems[itm].values.room#</td>
				</tr>
				</cfloop>
				</table>
			</div>
			
			</cfif>
		</div>
		
	</div>
	</cfloop>
	</cfif>
</div>	
</cfoutput>