<!---
/* *************************************************************** 
Author: 	
	PaperThin, Inc.
	G. Cronkright
Name:
	$course_detail_rh.cfm
Element:
	Program
Summary:
	Renders the a course detail page from the course element
ADF App:
	PT Course Catalog
History:
	2013-02-01 - GAC - Created
*/
--->
<cfif StructKeyExists(request.page.metadata,"CourseCatalog")>
<cfscript>
	// Remove after development is complete
	request.element.isStatic = 0;
	
	dateMask = application.ptCourseCatalog.getDisplayCFdateMask();
	timeMask = application.ptCourseCatalog.getDisplayCFtimeMask();
	
	// Get the Data from CS
	items = attributes.elementinfo.elementdata.PropertyValues;
	
	item = StructNew();
	if ( ArrayLen(items) )
		item = items[1];
		
	prereqItems = ArrayNew(1);	
	schedItems = ArrayNew(1);
	if ( NOT StructIsEmpty(item) AND StructKeyExists(item,"values") ) {
		
		if ( StructKeyExists(item.values,"prereqCourseIDList") AND LEN(TRIM(item.values.prereqCourseIDList)) ) 
			prereqItems = application.ptCourseCatalog.courseDAO.getCourses(uniqueID=item.values.prereqCourseIDList);

		if ( StructKeyExists(item.values,"schedIDList") AND LEN(TRIM(item.values.schedIDList)) ) 
			schedItems = application.ptCourseCatalog.scheduleDAO.getSchedules(uniqueID=item.values.schedIDList);
		
		//schedItems = application.ptCourseCatalog.scheduleBuilderController.buildDateTimeRenderData(item.values.schedIDList);
	}
	
//Display Page/Data Binding Metadata
//application.ptCourseCatalog.utils.doDump(request.page.metadata,"request.page.metadata",0);
//Display Course Element Data	
//application.ptCourseCatalog.utils.doDump(items,"items",0);
//Display Prereq Course Element Data	
//application.ptCourseCatalog.utils.doDump(prereqItems,"prereqItems",0);
//Display Schedule Element Data	
//application.ptCourseCatalog.utils.doDump(schedItems,"schedItems",0);
</cfscript>

<cfoutput>
<div id="ccCourseDetailWrapper">
	<cfif NOT StructIsEmpty(item)>
		<div id="ccCourseDetailDescription">
			<!--- <cfdump var="#item#"> --->
			#item.values.description#
		</div>
		
		<cfif LEN(TRIM(item.values.courseCredits))>
		<div id="ccCourseDetailCredits" class="">
			<h3>Credits: #item.values.courseCredits#</h3>
		</div>
		</cfif>
	
		<cfif ArrayLen(prereqItems)> 
		<div id="ccCoursePrereqWrapper">
	
			<h3>Prerequisite:</h3>
	
			<ul id="ccCoursePrereqList" class="ccCourseList">
				<cfloop from="1" to="#ArrayLen(prereqItems)#" index="itm">
				<cfset csPageURL = "">
				<li>
				<cfif IsNumeric(prereqItems[itm].values.catalogPageID)>	
					<cfset csPageID = prereqItems[itm].values.catalogPageID>
					<cfset csPageURL = application.ptCourseCatalog.csData.getCSPageURL(pageID=csPageID)>
				</cfif> 
				<cfif LEN(TRIM(csPageURL))><a href="#csPageURL#"></cfif>
				#prereqItems[itm].values.courseCode# #prereqItems[itm].values.courseName# (#prereqItems[itm].values.courseCredits#) 
				<cfif LEN(TRIM(csPageURL))></a></cfif>
				</li>	
				</cfloop>
			</ul>	
				
			<div id="ccCourseDetailPrereqText">
				#item.values.prereqText#
			</div>

		</div>
		</cfif>
	
		<cfif LEN(TRIM(item.values.reqText))>
		<div id="ccCourseRequirementsWrapper">
	
			<h3>Requirements:</h3>
	
			<div id="ccCourseDetailReqText">
				#item.values.reqText#
			</div>
			
		</div>
		</cfif>
		
		<cfif ArrayLen(schedItems)>
		<div id="ccCourseScheduleWrapper">
	
			<h3>Schedule of Classes:</h3>
			
			<div id="ccCourseScheduleGrid">
				<table>
				<cfloop from="1" to="#ArrayLen(schedItems)#" index="itm">
				<!--- #schedItems[itm].renderString# --->
				<tr>
					<td>#application.ptCourseCatalog.scheduleDaysService.weekdayListSerializer(weekdayList=schedItems[itm].values.schedDays,convertFrom="name",convertTo="initial",delimiterOut="")#</td>
				 	<td align="right">#TimeFormat(schedItems[itm].values.startTime,timeMask)#</td>
				 	<td align="right">#TimeFormat(schedItems[itm].values.endTime,timeMask)#</td> 
				 	<td>&nbsp;</td>
				 	<td>#schedItems[itm].values.locationInfo#</td>
				 	<td>#application.ptCourseCatalog.campusDAO.getCampusNameByBuildingID(buildingID=schedItems[itm].values.buildingID)#</td>
				 	<td>#application.ptCourseCatalog.buildingDAO.getBuildingName(buildingID=schedItems[itm].values.buildingID)#</td>
				 	<td>#schedItems[itm].values.room#</td>
				</tr>
				</cfloop>
				<table>
			</div>
		
		</div>
		</cfif>
		
	</cfif>
</div>	
</cfoutput>
<cfelse>
<!--- // TODO: Display an Error message if a School has not been selected --->
</cfif>